CVE Vulnerabilities

CVE-2005-0400

Published: May 02, 2005 | Modified: Oct 03, 2018
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
2.1 LOW
AV:L/AC:L/Au:N/C:P/I:N/A:N
RedHat/V2
RedHat/V3
Ubuntu

The ext2_make_empty function call in the Linux kernel before 2.6.11.6 does not properly initialize memory when creating a block for a new directory entry, which allows local users to obtain potentially sensitive information by reading the block.

Affected Software

Name Vendor Start Version End Version
Linux_kernel Linux * 2.6.11.6
Red Hat Enterprise Linux 2.1 RedHat kernel *
Red Hat Enterprise Linux 2.1 RedHat kernel *
Red Hat Enterprise Linux 3 RedHat kernel-0:2.4.21-37.EL *
Red Hat Enterprise Linux 4 RedHat kernel-0:2.6.9-5.0.5.EL *
Kernel-source-2.4.27 Ubuntu dapper *
Kernel-source-2.4.27 Ubuntu edgy *
Linux-source-2.6.15 Ubuntu dapper *
Linux-source-2.6.17 Ubuntu edgy *

References